*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}
body{
    width: 100%;
    height: 100vh;
    background-color: #1a1a1a;
}

.logo{
    width: 45px;
    height: 45px;
    background-color: #ccc;
    border-radius: 10px;
}
header{
    width: 100%;
    height: 70px;
    background-color: #101010;
    padding: 10px;
    display: flex;
    justify-content: space-between;
    box-shadow: 0px 5px 20px #000;
    align-items: center;
    flex-wrap: wrap;
}

.menu{
    list-style: none;
    display: flex;
}
.menu li a{
    color: white;
    text-decoration: none;
    display: block;
    margin-left: 10px;
    padding: 10px 20px 10px 20px;
    border-radius: 10px;
    flex-wrap: wrap;
}
.menu li a:hover{
    background-color: #333;
}
h1{
    color:#fff;
    text-align: center;
    margin: 20px;
}
p{
    color: #fff;
    text-align: center;
    margin: 20px;
}
/* Grid */
.container{
    border: 0 solid #fff;
    max-width: 1200px;
    margin: 0 auto;
    display: grid;
    grid-gap: 20px;
    justify-content: center;
    grid-template-areas: 
    "sidenav item item"
    "sidenav item item"
    "sidenav item item"
    "footer footer footer";
}
img{
    width: 100%;
    border-radius: 10px;
}
.sidenav{
    max-width: 300px;
    min-width: 250px;
    height: 940px;
    border-radius: 20px;
    background-color: #333;
    grid-area: "sidenav";
    grid-row: sidenav;
}
.item{
    max-width: 300px;
    min-width: 250px;
    height: 300px;
    border-radius: 20px;
    background-color: #333;
    grid-area: "item";
}
.footer{
    width: auto;
    height: 300px;
    border-radius: 20px;
    background-color: #333;
    grid-area: "footer";
    grid-column: footer;
    padding: 0 20px 0 20px;
}
@media (max-width:820px){
    .container{
        grid-template-areas: 
        "sidenav item"
        "sidenav item"
        "sidenav item"
        "sidenav item"
        "sidenav item"
        "sidenav item"
        "footer footer";
    }
}
@media (max-width:520px){
    .sidenav{
        height: 200px;
    }
    .container{
        grid-template-areas: 
        "sidenav"
        "item"
        "item"
        "item"
        "item"
        "item"
        "item"
        "footer";
    }
}